Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class DiagnosticFactory

    java.lang.Object
      |
      +--oracle.jbo.common.DiagnosticFactory

public class DiagnosticFactory
extends java.lang.Object

Creates instances of implementations of the `IDiagnostic` interface.

Since:
  JDeveloper 3.0

Field Summary
`static java.lang.String` | `DIAGNOSTIC_DOT_PROPERTIES`
`static int` | `PD_DEBUGDIAGNOSTIC_DEFAULT_LEVEL`
`static int` | `PD_DIAGNOSTIC_DEFAULT_LEVEL`
`static java.lang.String` | `PN_DEBUG_PREFIX`
`static java.lang.String` | `PN_DEBUG_TYPE`
`static java.lang.String` | `PN_JDBC_DRIVER_VERBOSE`
`static java.lang.String` | `PN_PIPE_TARGET`
`static java.lang.String` | `PN_SHOW_FUNCTION`
`static java.lang.String` | `PN_SHOW_LEVEL`
`static java.lang.String` | `PN_SHOW_LINECOUNT`
`static java.lang.String` | `PN_SHOW_TIMING`
`static java.lang.String` | `PN_TRACE_THRESHOLD`
`static java.lang.String` | `PV_DEBUG_PREFIX`
`static java.lang.String` | `PV_DEBUG_TYPE_CONSOLE`
`static java.lang.String` | `PV_DEBUG_TYPE_OUT`
`static java.lang.String` | `PV_DEBUG_TYPE_PIPE`
`static java.lang.String` | `PV_DEBUG_TYPE_SILENT`
`static java.lang.String` | `PV_FALSE`
`static java.lang.String` | `PV_PIPE_TARGET_LOOPBACK`
`static java.lang.String` | `PV_TRACE_THRESHOLD`
`static java.lang.String` | `PV_TRUE`

Method Summary
`static IDiagnostic` | `createDiagnostic()` Creates an instance of an implementation of the `IDiagnostic` interface.
`static java.lang.String` | `getProperty(java.lang.String key)` Gets the value of a property.
`static void` | `setProperty(java.lang.String name, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DIAGNOSTIC_DOT_PROPERTIES

    public static final java.lang.String DIAGNOSTIC_DOT_PROPERTIES

### PN_DEBUG_PREFIX

    public static final java.lang.String PN_DEBUG_PREFIX

### PN_DEBUG_TYPE

    public static final java.lang.String PN_DEBUG_TYPE

### PN_PIPE_TARGET

    public static final java.lang.String PN_PIPE_TARGET

### PN_SHOW_TIMING

    public static final java.lang.String PN_SHOW_TIMING

### PN_SHOW_FUNCTION

    public static final java.lang.String PN_SHOW_FUNCTION

### PN_SHOW_LINECOUNT

    public static final java.lang.String PN_SHOW_LINECOUNT

### PN_SHOW_LEVEL

    public static final java.lang.String PN_SHOW_LEVEL

### PN_TRACE_THRESHOLD

    public static final java.lang.String PN_TRACE_THRESHOLD

### PN_JDBC_DRIVER_VERBOSE

    public static final java.lang.String PN_JDBC_DRIVER_VERBOSE

### PV_DEBUG_TYPE_CONSOLE

    public static final java.lang.String PV_DEBUG_TYPE_CONSOLE

### PV_DEBUG_TYPE_OUT

    public static final java.lang.String PV_DEBUG_TYPE_OUT

### PV_DEBUG_TYPE_SILENT

    public static final java.lang.String PV_DEBUG_TYPE_SILENT

### PV_DEBUG_TYPE_PIPE

    public static final java.lang.String PV_DEBUG_TYPE_PIPE

### PV_DEBUG_PREFIX

    public static final java.lang.String PV_DEBUG_PREFIX

### PV_PIPE_TARGET_LOOPBACK

    public static final java.lang.String PV_PIPE_TARGET_LOOPBACK

### PV_TRACE_THRESHOLD

    public static final java.lang.String PV_TRACE_THRESHOLD

### PV_TRUE

    public static final java.lang.String PV_TRUE

### PV_FALSE

    public static final java.lang.String PV_FALSE

### PD_DIAGNOSTIC_DEFAULT_LEVEL

    public static final int PD_DIAGNOSTIC_DEFAULT_LEVEL

### PD_DEBUGDIAGNOSTIC_DEFAULT_LEVEL

    public static final int PD_DEBUGDIAGNOSTIC_DEFAULT_LEVEL

Method Detail

### createDiagnostic

    public static IDiagnostic createDiagnostic()

  Creates an instance of an implementation of the `IDiagnostic` interface.

  The choice of implementation class depends on the value of the `PN_DEBUG_TYPE` property. This property is found by looking first at command line switches passed to the VM, then in the stored properties file Diagnostic.properties, and finally in the default system properties list.

### getProperty

    public static java.lang.String getProperty(java.lang.String key)

  Gets the value of a property.

  The property is found by looking first in the system environment, then the stored properties file Diagnostic.properties, and finally in the default system properties list.

  Parameters:
    `key` - the name of a property.
  Returns:
    the property value.

### setProperty

    public static void setProperty(java.lang.String name,
                                   java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD